Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017298
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2011-05-20 13:362014-11-28 11:49
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesUser Interface Application
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017298: Performance: too many request fired after completing an order (probably to refresh data)

DescriptionAfter completing a sales order (just after the processing popup finishes) the data shown is refreshed. However all of the following requests are send to do that:

3* post order
1* post orderline
fic edit
post order
fic edit
post orderline

Steps To Reproducehave a sales (type pos order) + one line for a product
sales order in edit view
lines in grid view
while having focus on header use the 'complete' button
confirm the process in the popup
check requests done just after the popup closes/finishes
TagsnextMP, Performance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025811 closedAugustoMauch unnecessary request on grid refresh 

-  Notes
(0041843)
shuehner (administrator)
2011-10-16 11:16

Retested in live.builds.pi still happens and worse:
Requests happening for refresh after i.e. reactivate order:

post order, load one row
post order, load one row
get tabmessage
post order, reload grid
update recent docs list
fic edit, child row
post orderline, filter value=-1, empty result
post order, load one row
post orderline, reload grid
update recent docs list
fic edit, child row
(0052441)
AugustoMauch (developer)
2012-09-24 21:17

Effort: 5
Impact: high
Plan: short
(0072108)
alostale (developer)
2014-11-28 11:49

Fixed in the scope of the project 0025811

Now the requests are:

1. Order datasource only for selected record
2. FIC Order (EDIT mode)
3. OrderLine datasource
4. FIC OrderLine (SETSESSION mode), because there is a single line and it is automatically selected

- Issue History
Date Modified Username Field Change
2011-05-20 13:36 shuehner New Issue
2011-05-20 13:36 shuehner Assigned To => alostale
2011-05-20 13:36 shuehner Modules => User Interface Application
2011-05-23 08:08 alostale Status new => scheduled
2011-06-02 10:53 dmitry_mezentsev Target Version 3.0MP0 => 3.0MP1
2011-06-22 19:57 dmitry_mezentsev Target Version 3.0MP1 => 3.0MP2
2011-08-03 11:58 psarobe Target Version 3.0MP2 => 3.0MP4
2011-09-27 13:03 alostale Target Version 3.0MP4 => 3.0MP5
2011-10-16 11:16 shuehner Note Added: 0041843
2011-10-31 14:28 alostale Target Version 3.0MP5 => 3.0MP6
2011-11-15 08:41 alostale Tag Attached: nextMP
2011-11-15 08:58 alostale Target Version 3.0MP6 =>
2011-11-23 10:44 alostale Type defect => design defect
2012-09-24 21:17 AugustoMauch Note Added: 0052441
2012-09-24 21:17 AugustoMauch Priority normal => high
2013-10-07 14:24 shuehner Tag Attached: Performance
2014-11-28 11:46 alostale Relationship added related to 0025811
2014-11-28 11:49 alostale Review Assigned To => alostale
2014-11-28 11:49 alostale Note Added: 0072108
2014-11-28 11:49 alostale Status scheduled => closed
2014-11-28 11:49 alostale Resolution open => fixed
2014-11-28 11:49 alostale Fixed in Version => 3.0PR15Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker